Bug 1235838 - Missing BuildRequires in Specfile
Summary: Missing BuildRequires in Specfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thinkfan
Version: 23
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-25 21:13 UTC by Stefan Jensen
Modified: 2015-11-16 23:24 UTC (History)
1 user (show)

Fixed In Version: thinkfan-0.9.2-5.fc23 thinkfan-0.9.2-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-16 23:24:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Stefan Jensen 2015-06-25 21:13:02 UTC
Description of problem:

Missing BuildRequires in Specfile

Version-Release number of selected component (if applicable):

thinkfan-0.9.2-1.fc22.x86_64.rpm

How reproducible:

Always

Steps to Reproduce:

Build without having gcc-c++ installed.

Actual results:

Build fails unexpected.

Expected results:

Display hint for missing dependencies.
 
Additional info:

Adding "BuildRequires: gcc-c++" to SPEC-File does it.

Comment 1 Jan Kurik 2015-07-15 13:54:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Admin XMLRPC Client 2015-10-16 04:35:23 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2015-10-19 15:14:46 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2015-10-21 14:51:45 UTC
thinkfan-0.9.2-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-90a641ffe6

Comment 5 Fedora Update System 2015-10-24 12:09:33 UTC
thinkfan-0.9.2-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-d0705126ee

Comment 6 Fedora Update System 2015-10-26 18:30:08 UTC
thinkfan-0.9.2-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-90a641ffe6

Comment 7 Fedora Update System 2015-10-26 23:10:13 UTC
thinkfan-0.9.2-5.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-294ec98ac2

Comment 8 Fedora Update System 2015-10-31 15:54:48 UTC
thinkfan-0.9.2-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6e2b8bcfbe

Comment 9 Fedora Update System 2015-11-02 00:28:23 UTC
thinkfan-0.9.2-5.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-294ec98ac2

Comment 10 Fedora Update System 2015-11-08 16:22:24 UTC
thinkfan-0.9.2-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-878d9fffd7

Comment 11 Fedora Update System 2015-11-08 22:23:33 UTC
thinkfan-0.9.2-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2015-11-09 03:49:55 UTC
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update thinkfan'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-878d9fffd7

Comment 13 Fedora Update System 2015-11-16 23:23:55 UTC
thinkfan-0.9.2-6.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.